(function($){

$(document).ready(function() {
	var editor = new $.fn.dataTable.Editor( {
		ajax: 'php/table.Firma.php',
		table: '#Firma',
		fields: [
			{
				"label": "Mandant:",
				"name": "Firma.MandantIDFS",
				"type": "select"
			},
			{
				"label": "Nr:",
				"name": "Firma.Nr"
			},
			{
				"label": "Name:",
				"name": "Firma.Name"
			},
			{
				"label": "Strasse:",
				"name": "Firma.Strasse"
			},
			{
				"label": "PLZ:",
				"name": "Firma.PLZ"
			},
			{
				"label": "Ort:",
				"name": "Firma.Ort"
			}
		]
	} );
	

	var table = $('#Firma').DataTable( {
		ajax: 'php/table.Firma.php',
		columns: [
			{
				"data": "Mandant.Name",
				"editField": "Firma.MandantIDFS" 
			},
			{
				"data": "Firma.Nr"
			},
			{
				"data": "Firma.Name"
			},
			{
				"data": "Firma.Strasse"
			},
			{
				"data": "Firma.PLZ"
			},
			{
				"data": "Firma.Ort"
			}
		],
		select: true,
		lengthChange: false
		,
		"language": {
						"url": "de.json"
					}
	} );
	
	table.page.len( 100 ).draw();

	new $.fn.dataTable.Buttons( table, [
		{ extend: "create", editor: editor },
		{ extend: "edit",   editor: editor },
		{ extend: "remove",   editor: editor }
	] );

	table.buttons().container()
		.appendTo( $('.col-md-6:eq(0)', table.table().container() ) );
} );

}(jQuery));

