<?php

// DataTables PHP library and database connection
include( "lib/DataTables.php" );

// Alias Editor classes so they are easy to use
use
	DataTables\Editor,
	DataTables\Editor\Field,
	DataTables\Editor\Format,
	DataTables\Editor\Mjoin,
	DataTables\Editor\Options,
	DataTables\Editor\Upload,
	DataTables\Editor\Validate,
	DataTables\Editor\ValidateOptions;

// Build our Editor instance and process the data coming from _POST
Editor::inst( $db, 'Firma', 'id' )
	->fields(
		Field::inst( 'Firma.MandantIDFS' )
			->options( Options::inst()
                ->table( 'Mandant' )
                ->value( 'Nr' )
                ->label( 'Name' )
            ),
		Field::inst( 'Mandant.Name' ),
		Field::inst( 'Firma.Nr' )
			->validator( Validate::notEmpty() ),
		Field::inst( 'Firma.Name' )
			->validator( Validate::notEmpty() ),
		Field::inst( 'Firma.Strasse' ),
		Field::inst( 'Firma.PLZ' ),
		Field::inst( 'Firma.Ort' )
	)
	->leftJoin( 'Mandant',     'Firma.MandantIDFS',          '=', 'Mandant.Nr' )
	->process( $_POST )
	->json();
